#ifndef COPYMYCHOICES_H
#define COPYMYCHOICES_H

#include "copyIO.h"
#include "ui_copy.h"
#include <QStringList>
#include <QWidget>
#include <QKeyEvent>

class CopyMyChoices : public QWidget,public Ui::CopyWidget {
    Q_OBJECT
    public:
        CopyMyChoices(QWidget * parent = 0);
        ~CopyMyChoices();
        void run(QString &arg);
        QStringList getChoosenValues();
        void clear();
        void addToTableView(const QString & text);
        QString returnString();
        void keyReleaseEvent(QKeyEvent *e);
        QString m_arg;
    private:
        QStringList m_ValuesChoosen;
        CopyIO * m_io;
    private slots:
        void chooseValue(const QModelIndex& index);
        void supprItemChoosen(QListWidgetItem * item);
        void on_lineEdit_textChanged(const QString & text);
        void quitApplication();
        void apply();
        void addToDatabase();
        void deleteFromDatabase();        
};

#endif

